# DescribeNatGatewayDetail

## 1. 接口描述

本接口(DescribeNatGatewayDetail)用于查询NAT网关详情规则表。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称         | 必选 | 类型     | 描述        |
| ------------ | -- | ------ | --------- |
| natGatewayId | 是  | String | NAT网关 ID。 |

## 3. 响应结果

| 参数名称         | 类型                                                                                                       | 描述                                                       |
| ------------ | -------------------------------------------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId    | String                                                                                                   | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| natGatewayId | String                                                                                                   | NAT网关唯一ID。                                               |
| name         | String                                                                                                   | NAT网关名称。                                                 |
| snats        | Array of [SnatEntry](https://docs.console.zenlayer.com/api-reference/cn/compute/datastructure#snatentry) | SNAT网关规则集合。                                              |
| dnats        | Array of [DnatEntry](https://docs.console.zenlayer.com/api-reference/cn/compute/datastructure#dnatentry) | DNAT网关规则集合。                                              |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 查询网关规则详情**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeNatGatewayDetail
<Common Request Params>

Request：
{
    "natGatewayId": "<natGatewayId>"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "natGatewayId": "<natGatewayId>",
    "name": "name",
    "snats": [
      {
        "snatEntryId": "<snatEntryId>",
        "eipIds": ["<eipId>"],
        "cidrs": ["0.0.0.0/0"],
        "eipIds": ["<eipId>"],
        "snatSubnets": null
      }
    ],
    "dnats": [
      {
        "dnatEntryId": "<dnatEntryId>",
        "status": "ACTIVE",
        "privateIp": "<privateIp>",
        "eipId": "<eipId>",
        "protocol": "TCP",
        "listenerPort": "1-30",
        "internalPort": "1-30"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/toolkit)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/instruction/commonerrorcode)

| HTTP状态码 | 错误码                                 | 说明            |
| ------- | ----------------------------------- | ------------- |
| 404     | INVALID\_NAT\_NOT\_FOUND            | NAT网关不存在。     |
| 400     | UNSUPPORTED\_OPERATION\_NAT\_STATUS | NAT网关状态不允许操作。 |
